Index: branches/2845_EnhancedProgress/HeuristicLab.Clients.OKB.Views/3.3/RunCreation/CreateFromExperimentMenuItem.cs
===================================================================
--- branches/2845_EnhancedProgress/HeuristicLab.Clients.OKB.Views/3.3/RunCreation/CreateFromExperimentMenuItem.cs	(revision 16308)
+++ branches/2845_EnhancedProgress/HeuristicLab.Clients.OKB.Views/3.3/RunCreation/CreateFromExperimentMenuItem.cs	(revision 16311)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -41,5 +41,8 @@
     protected override void OnActiveViewChanged(object sender, EventArgs e) {
       IContentView activeView = MainFormManager.MainForm.ActiveView as IContentView;
-      ToolStripItem.Enabled = (activeView != null) && (activeView.Content != null) && ((activeView.Content is Experiment) || (activeView.Content is RunCollection) || (activeView.Content is IOptimizer)) && !activeView.Locked && OKBRoles.CheckUserPermissions();
+
+      ToolStripItem.Enabled = (activeView != null) && (activeView.Content != null)
+        && ((activeView.Content is Experiment) || (activeView.Content is RunCollection) || (activeView.Content is IOptimizer))
+        && !activeView.Locked;
     }
 
Index: branches/2845_EnhancedProgress/HeuristicLab.Clients.OKB.Views/3.3/RunCreation/Views/OKBAlgorithmView.Designer.cs
===================================================================
--- branches/2845_EnhancedProgress/HeuristicLab.Clients.OKB.Views/3.3/RunCreation/Views/OKBAlgorithmView.Designer.cs	(revision 16308)
+++ branches/2845_EnhancedProgress/HeuristicLab.Clients.OKB.Views/3.3/RunCreation/Views/OKBAlgorithmView.Designer.cs	(revision 16311)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2845_EnhancedProgress/HeuristicLab.Clients.OKB.Views/3.3/RunCreation/Views/OKBAlgorithmView.cs
===================================================================
--- branches/2845_EnhancedProgress/HeuristicLab.Clients.OKB.Views/3.3/RunCreation/Views/OKBAlgorithmView.cs	(revision 16308)
+++ branches/2845_EnhancedProgress/HeuristicLab.Clients.OKB.Views/3.3/RunCreation/Views/OKBAlgorithmView.cs	(revision 16311)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2845_EnhancedProgress/HeuristicLab.Clients.OKB.Views/3.3/RunCreation/Views/OKBExperimentUploadView.Designer.cs
===================================================================
--- branches/2845_EnhancedProgress/HeuristicLab.Clients.OKB.Views/3.3/RunCreation/Views/OKBExperimentUploadView.Designer.cs	(revision 16308)
+++ branches/2845_EnhancedProgress/HeuristicLab.Clients.OKB.Views/3.3/RunCreation/Views/OKBExperimentUploadView.Designer.cs	(revision 16311)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2845_EnhancedProgress/HeuristicLab.Clients.OKB.Views/3.3/RunCreation/Views/OKBExperimentUploadView.cs
===================================================================
--- branches/2845_EnhancedProgress/HeuristicLab.Clients.OKB.Views/3.3/RunCreation/Views/OKBExperimentUploadView.cs	(revision 16308)
+++ branches/2845_EnhancedProgress/HeuristicLab.Clients.OKB.Views/3.3/RunCreation/Views/OKBExperimentUploadView.cs	(revision 16311)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2845_EnhancedProgress/HeuristicLab.Clients.OKB.Views/3.3/RunCreation/Views/OKBProblemView.Designer.cs
===================================================================
--- branches/2845_EnhancedProgress/HeuristicLab.Clients.OKB.Views/3.3/RunCreation/Views/OKBProblemView.Designer.cs	(revision 16308)
+++ branches/2845_EnhancedProgress/HeuristicLab.Clients.OKB.Views/3.3/RunCreation/Views/OKBProblemView.Designer.cs	(revision 16311)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2845_EnhancedProgress/HeuristicLab.Clients.OKB.Views/3.3/RunCreation/Views/OKBProblemView.cs
===================================================================
--- branches/2845_EnhancedProgress/HeuristicLab.Clients.OKB.Views/3.3/RunCreation/Views/OKBProblemView.cs	(revision 16308)
+++ branches/2845_EnhancedProgress/HeuristicLab.Clients.OKB.Views/3.3/RunCreation/Views/OKBProblemView.cs	(revision 16311)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -72,9 +72,9 @@
       downloadCharacteristicsButton.Image = VSImageLibrary.Refresh;
       uploadCharacteristicsButton.Text = string.Empty;
-      uploadCharacteristicsButton.Image = VSImageLibrary.PublishToWeb;
+      uploadCharacteristicsButton.Image = VSImageLibrary.Save;
       refreshSolutionsButton.Text = string.Empty;
       refreshSolutionsButton.Image = VSImageLibrary.Refresh;
       uploadSolutionsButton.Text = string.Empty;
-      uploadSolutionsButton.Image = VSImageLibrary.PublishToWeb;
+      uploadSolutionsButton.Image = VSImageLibrary.Save;
     }
 
Index: branches/2845_EnhancedProgress/HeuristicLab.Clients.OKB.Views/3.3/RunCreation/Views/OKBRunView.Designer.cs
===================================================================
--- branches/2845_EnhancedProgress/HeuristicLab.Clients.OKB.Views/3.3/RunCreation/Views/OKBRunView.Designer.cs	(revision 16308)
+++ branches/2845_EnhancedProgress/HeuristicLab.Clients.OKB.Views/3.3/RunCreation/Views/OKBRunView.Designer.cs	(revision 16311)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -51,5 +51,5 @@
       // storeButton
       // 
-      this.storeButton.Image = HeuristicLab.Common.Resources.VSImageLibrary.PublishToWeb;
+      this.storeButton.Image = HeuristicLab.Common.Resources.VSImageLibrary.Save;
       this.storeButton.Location = new System.Drawing.Point(0, 0);
       this.storeButton.Name = "storeButton";
Index: branches/2845_EnhancedProgress/HeuristicLab.Clients.OKB.Views/3.3/RunCreation/Views/OKBRunView.cs
===================================================================
--- branches/2845_EnhancedProgress/HeuristicLab.Clients.OKB.Views/3.3/RunCreation/Views/OKBRunView.cs	(revision 16308)
+++ branches/2845_EnhancedProgress/HeuristicLab.Clients.OKB.Views/3.3/RunCreation/Views/OKBRunView.cs	(revision 16311)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2845_EnhancedProgress/HeuristicLab.Clients.OKB.Views/3.3/RunCreation/Views/SingleObjectiveOKBSolutionView.Designer.cs
===================================================================
--- branches/2845_EnhancedProgress/HeuristicLab.Clients.OKB.Views/3.3/RunCreation/Views/SingleObjectiveOKBSolutionView.Designer.cs	(revision 16308)
+++ branches/2845_EnhancedProgress/HeuristicLab.Clients.OKB.Views/3.3/RunCreation/Views/SingleObjectiveOKBSolutionView.Designer.cs	(revision 16311)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2845_EnhancedProgress/HeuristicLab.Clients.OKB.Views/3.3/RunCreation/Views/SingleObjectiveOKBSolutionView.cs
===================================================================
--- branches/2845_EnhancedProgress/HeuristicLab.Clients.OKB.Views/3.3/RunCreation/Views/SingleObjectiveOKBSolutionView.cs	(revision 16308)
+++ branches/2845_EnhancedProgress/HeuristicLab.Clients.OKB.Views/3.3/RunCreation/Views/SingleObjectiveOKBSolutionView.cs	(revision 16311)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -41,5 +41,5 @@
       refreshButton.Image = VSImageLibrary.Refresh;
       uploadButton.Text = string.Empty;
-      uploadButton.Image = VSImageLibrary.PublishToWeb;
+      uploadButton.Image = VSImageLibrary.Save;
     }
 
